<div class="card m-auto text-bg-dark overflow-hidden" style="width: 18rem;">
  <div class="card-header text-center align-middle">
    <div class="d-flex justify-content-between align-items-center">
      <h1 class="h5 mb-0">
        <i class="bi bi-shield-lock"></i>
        <%= page_view_object.main_title %>
      </h1>
      <%= render UI::LanguageSelectComponent.new %>
    </div>
  </div>
  <div class="card-body text-bg-light">
    <%= form_for(@user, url: users_session_path, method: :post) do |f| %>
      <%= hidden_field_tag :locale, params[:locale] %>
      <div class="mb-3">
        <%= f.label :username %>
        <%= f.text_field :username, required: true %>
      </div>
      <div class="mb-3">
        <%= f.label :password %>
        <%= f.password_field :password, required: true %>
      </div>
      <div class="text-end">
        <%= f.submit t('btn.login') %>
      </div>
    <% end %>
  </div>
  <div class="card-footer text-bg-light text-muted text-center">
    <%= page_view_object.app_title %>
  </div>
</div>
